package com.itant.shiwushu.bean;

/**
 * Created by Jason on 2018/8/26.
 */

public class User {
    public static final int USER_TYPE_INVALID = -1;
    public static final int USER_TYPE_NORMAL = 0;
    public static final int USER_TYPE_VIP = 1;
    private String userId;
    private String email;
    private String nickName;
    private String password;
    private String headIcon;
    private int sex;
    private String token;
    private long registerTimeMillis;
    private long lastLoginTimeMillis;
    // 0普通会员，-1是非法用户，1是VIP
    private int userType;
    private String deviceId;
    private String lastIp;
    private int themeMode;
    private String phone;
    private String saying;

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getHeadIcon() {
        return headIcon;
    }

    public void setHeadIcon(String headIcon) {
        this.headIcon = headIcon;
    }

    public int getSex() {
        return sex;
    }

    public void setSex(int sex) {
        this.sex = sex;
    }

    public String getToken() {
        return token;
    }

    public void setToken(String token) {
        this.token = token;
    }

    public long getRegisterTimeMillis() {
        return registerTimeMillis;
    }

    public void setRegisterTimeMillis(long registerTimeMillis) {
        this.registerTimeMillis = registerTimeMillis;
    }

    public long getLastLoginTimeMillis() {
        return lastLoginTimeMillis;
    }

    public void setLastLoginTimeMillis(long lastLoginTimeMillis) {
        this.lastLoginTimeMillis = lastLoginTimeMillis;
    }

    public String getDeviceId() {
        return deviceId;
    }

    public void setDeviceId(String deviceId) {
        this.deviceId = deviceId;
    }

    public String getLastIp() {
        return lastIp;
    }

    public void setLastIp(String lastIp) {
        this.lastIp = lastIp;
    }

    public int getThemeMode() {
        return themeMode;
    }

    public void setThemeMode(int themeMode) {
        this.themeMode = themeMode;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getSaying() {
        return saying;
    }

    public void setSaying(String saying) {
        this.saying = saying;
    }

    public int getUserType() {
        return userType;
    }

    public void setUserType(int userType) {
        this.userType = userType;
    }
}
